\begin{tikzpicture}[->, align=center, x=6em, y=4em, thick,
	artifact/.style={rectangle, draw},
	tool/.style={rectangle, draw, rounded corners, fill=fg, text=bg},
	interm/.style={dotted},
	opac/.style={opacity=.2}
]
	\node (wf-model)	[artifact]	at (1, 4)	{Workflow\\model};
	\node (rank-model)	[artifact, opac]	at (2, 4)	{Ranking\\model};
	\node (pref-model)	[artifact]	at (4, 4)	{Preference\\model};
	\node (qosagg)		[tool]		at (1, 3)	{QosAgg};
	\node (qos2mzn) 	[tool, opac]		at (2, 3)	{QoraTom};
	\node (polyrank)	[tool, opac]		at (3, 3)	{QoS\\ranker};
	\node (minibrass)	[tool]		at (4, 3)	{MiniBrass};
	\node (cstr-model)	[artifact]	at (0, 2)	{Constraint\\model};
	\node (wf-int)		[artifact, interm]	at (1, 2)	{Workflow\\mzn. model};
	\node (rank-int)	[artifact, interm, opac]	at (2, 2)	{Ranking\\mzn. model};
	\node (pref-int)	[artifact, interm]	at (4, 2)	{Preference\\mzn. model};
	\node (minizinc)	[tool]		at (2, 1)	{MiniZinc};
	\node (output)		[]			at (2, 0)	{Output};

	\path	(wf-model) edge (qosagg)
			(rank-model) edge[opac] (qos2mzn)
			(pref-model) edge (minibrass)
			(qosagg) edge (wf-int)
			(qos2mzn) edge[<->, opac] (polyrank)
			(qos2mzn) edge[opac] (rank-int)
			(minibrass) edge (pref-int)
			(cstr-model.south) edge (minizinc)
			(wf-int.south) edge (minizinc)
			(rank-int.south) edge[opac] (minizinc)
			(pref-int.south) edge (minizinc)
			(minizinc) edge (output);
\end{tikzpicture}